Package com.google.android.exoplayer2.metadata.flac

## Class VorbisComment

- java.lang.Object
- - com.google.android.exoplayer2.metadata.flac.VorbisComment

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class VorbisComment
      extends Object
      implements Metadata.Entry

  A vorbis comment.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<VorbisComment>` | `CREATOR` |
    `String` | `key` | The key.
    `String` | `value` | The value.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VorbisComment​(String key, String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `void` | `populateMediaMetadata​(MediaMetadata.Builder builder)` | Updates the `MediaMetadata.Builder` with the type specific values stored in this Entry.
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat`

- - ### Field Detail

    - #### key

          public final String key

      The key.

    - #### value

          public final String value

      The value.

    - #### CREATOR

          public static final Parcelable.Creator<VorbisComment> CREATOR

  - ### Constructor Detail

    - #### VorbisComment

          public VorbisComment​(String key,
                               String value)

      Parameters:
        `key` - The key.
        `value` - The value.

  - ### Method Detail

    - #### populateMediaMetadata

          public void populateMediaMetadata​(MediaMetadata.Builder builder)

      Description copied from interface: `Metadata.Entry`
      Updates the `MediaMetadata.Builder` with the type specific values stored in this Entry.

      The order of the `Metadata.Entry` objects in the `Metadata` matters. If two `Metadata.Entry` entries attempt to populate the same `MediaMetadata` field, then the last one in the list is used.

      Specified by:
        `populateMediaMetadata` in interface `Metadata.Entry`
      Parameters:
        `builder` - The builder to be updated.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`